<?php

namespace Treewec\FileSystem;

/**
 * Test class for HiddenFilenames.
 * Generated by PHPUnit on 2012-09-03 at 10:53:12.
 * @group filesystem
 */
class HiddenFilenamesTest extends \PHPUnit_Framework_TestCase {

    private $defaultHiddenFiles;
    private $userHiddenFiles;

    protected function setUp() {
        $this->defaultHiddenFiles = array('.htaccess', '.htpasswd', 'dir.order');
        $this->userHiddenFiles = explode(';', TREEWEC_USER_HIDDEN_FILES);
    }

    public function testIsHiddenFilename() {
        $this->assertHiddenFilenames($this->defaultHiddenFiles, 'isHiddenFilename');
        $this->assertHiddenFilenames($this->userHiddenFiles, 'isHiddenFilename');
    }

    public function testIsDefaultHiddenFilename() {
        $this->assertHiddenFilenames($this->defaultHiddenFiles, 'isDefaultHiddenFilename');
    }

    public function testIsUserHiddenFilename() {
        $this->assertHiddenFilenames($this->userHiddenFiles, 'isUserHiddenFilename');
    }

    private function assertHiddenFilenames($filenames, $method) {
        // invalid arguments -> false
        parent::assertFalse(HiddenFilenames::$method(array()));
        parent::assertFalse(HiddenFilenames::$method(null));
        parent::assertFalse(HiddenFilenames::$method('unexisting-filename.php'));
        // hidden filenames
        foreach ($filenames as $filename) {
            parent::assertTrue(HiddenFilenames::$method($filename));
        }
    }

}

?>